/// <reference types="hoist-non-react-statics" />
import React from "react";
import { SceneClass } from "./Scene";
import { InjectedStageProps } from "./withStage";
import TransitionReceipt from "./TransitionReceipt";
import { SpringConfig } from "./types";
declare type TransitionArgs = {
    from: string;
    to: string;
    springConfig?: SpringConfig;
};
declare type State = {
    from?: string;
    fromScene?: SceneClass;
    to?: string;
    toScene?: SceneClass;
};
export declare class SceneTransitionerClass extends React.Component<InjectedStageProps, State> {
    private _driver;
    private _inOut;
    private _prevInOut;
    private _drive;
    private _enterStartListeners;
    private _enterEndListeners;
    private _leaveStartListeners;
    private _leaveEndListeners;
    constructor(props: InjectedStageProps);
    render(): JSX.Element | null;
    transition: ({ from, to, springConfig }: TransitionArgs) => TransitionReceipt;
    reset: () => void;
    private _resetAnimation;
    private _resetState;
    private _onEnterStart;
    private _onEnterEnd;
    private _onLeaveStart;
    private _onLeaveEnd;
    private _handleAddScene;
}
declare const _default: {
    (props: any): JSX.Element;
    displayName: string;
    WrappedComponent: typeof SceneTransitionerClass;
} & import("hoist-non-react-statics").NonReactStatics<typeof SceneTransitionerClass, {}>;
export default _default;
