import Animated from "react-native-reanimated";
import { EndHandler, EndListeners, StartHandler, StartListeners } from "./types";
export default class TransitionReceipt {
    private readonly _inOut;
    private readonly _enterStartListeners;
    private readonly _enterEndListeners;
    private readonly _leaveStartListeners;
    private readonly _leaveEndListeners;
    constructor(inOut: Animated.Value<-1 | 0 | 1>, enterStartListeners: StartListeners, enterEndListeners: EndListeners, leaveStartListeners: StartListeners, leaveEndListeners: EndListeners);
    cancel: () => void;
    onEnterStart: (handler: StartHandler) => void;
    onEnterEnd: (handler: EndHandler) => void;
    onLeaveStart: (handler: StartHandler) => void;
    onLeaveEnd: (handler: EndHandler) => void;
}
