export default class TransitionReceipt {
    constructor(inOut, enterStartListeners, enterEndListeners, leaveStartListeners, leaveEndListeners) {
        this.cancel = () => {
            this._inOut.setValue(-1);
        };
        this.onEnterStart = (handler) => {
            this._enterStartListeners.push(handler);
        };
        this.onEnterEnd = (handler) => {
            this._enterEndListeners.push(handler);
        };
        this.onLeaveStart = (handler) => {
            this._leaveStartListeners.push(handler);
        };
        this.onLeaveEnd = (handler) => {
            this._leaveEndListeners.push(handler);
        };
        this._inOut = inOut;
        this._enterStartListeners = enterStartListeners;
        this._enterEndListeners = enterEndListeners;
        this._leaveStartListeners = leaveStartListeners;
        this._leaveEndListeners = leaveEndListeners;
    }
}
//# sourceMappingURL=TransitionReceipt.js.map